CON

  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

  OUT_PIN       = 0
  FREQ          = 500_000   'Must be in the range 500KHz to 128MHz.

OBJ

  u:    "umath"

PUB start | frq, mult

  frq := FREQ
  mult := 3
  repeat while (frq < 4_000_000)
    frq <<= 1
    mult -= 1
  repeat while (frq > 8_000_000)
    frq >>= 1
    mult += 1
  frqa := u.div(frq, 0, clkfreq)
  ctra := %00010 << 26 | mult << 23 | OUT_PIN
  dira[OUT_PIN]~~
  repeat 